/* Mathematiques de l'informatique graphique    */
/* Position en 3D                               */
/*                                              */
/* Mars 2021                                    */

#ifndef ____POS3D____
#define ____POS3D____

#include "CH3D.h"

class TG3D;

class Pos3D : public CH3D {

  public :

    /* Construit l'origine                      */

    Pos3D(void);

    /* Construit la position xp,yp,zp)          */

    Pos3D(float xp,float yp,float zp);

    /* Construit un clone de la Pos3D p         */

    Pos3D(Pos3D *p);

    /* Destructeur                              */

    ~Pos3D(void);

    /* Calcul de la transformation de this      */
    /* par la transformation geometrique tg     */

    Pos3D mult(const TG3D& tg);   
};

#endif
